<?php
$this->extend('BuzzCamps./Common/camps');
$this->assign('title', 'Camps');
?>

<?php $this->end(); // side ?>

<div class="row">
	<div class="col-xs-12 col-sm-9">

		<h3><?php echo $id === null ? __d('BuzzCamps', 'Add Camp') : __d('BuzzCamps', 'Edit Camp'); ?></h3>

		<?php
			echo $this->Form->create('Camp', ['class' => 'form--side-labels validate']);
			echo $this->Form->inputs(array(
				'fieldset' => false,
				'Camp.id' => array('type' => 'hidden'),
				'Camp.name' => array('label' => __d('BuzzCamps', 'Name')),
				'Camp.tag_line' => array('label' => __d('BuzzCamps', 'Short Description')),
				'Camp.date' => array('label' => __d('BuzzCamps', 'Date'), 'type' => 'text', 'class' => 'datepicker'),
				'Camp.time' => array('label' => __d('BuzzCamps', 'Time'), 'type' => 'text'),
				'Camp.description' => array('label' => __d('BuzzCamps', 'Description'), 'type' => 'textarea'),
				'Camp.slots_available' => array('label' => __d('BuzzCamps', 'Slots Available')),
				'Camp.cost' => array('label' => __d('BuzzCamps', 'Cost (%s)', [$this->Number->currencySymbol()])),
				'Camp.is_bookable' => array('label' => __d('BuzzCamps', 'Is Bookable'), 'div' => ['class' => 'input checkbox checkbox--custom checkbox--left'])
			));
			echo $this->Form->button(
				($id === null ? __d('BuzzCamps', 'Add Camp') : __d('BuzzCamps', 'Update Camp')) . '<i class="fa fa-chevron-circle-right fa-inline"></i>',
				['class' => 'button']
			);
			echo $this->Form->end();
		?>
	</div>
</div>
